package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFAU2 extends MwfRequest<MWFAU2, MWFAU2Response> {

    @Parameter(name = "AktivacniHeslo")
    MWFAU2 aktivacniHeslo(String aktivacniHeslo);
    @Parameter(name = "AutorizacniLimit_Bezhotovostni")
    MWFAU2 autorizacniLimitBezhotovostni(Double autorizacniLimitBezhotovostni);
    @Parameter(name = "AutorizacniLimit_Hotovost")
    MWFAU2 autorizacniLimitHotovost(Double autorizacniLimitHotovost);
    @Parameter(name = "AutorizacniLimit_Internet")
    MWFAU2 autorizacniLimitInternet(Double autorizacniLimitInternet);
    @Parameter(name = "AutorizacniLimit_Procento")
    MWFAU2 autorizacniLimitProcento(Double autorizacniLimitProcento);
    @Parameter(name = "AutorizacniLimit_Typ")
    MWFAU2 autorizacniLimitTyp(String autorizacniLimitTyp);
    @Parameter(name = "AvonLadyID")
    MWFAU2 avonLadyID(String avonLadyID);
    @Parameter(name = "AvonLadyIDDop")
    MWFAU2 avonLadyIDDop(String avonLadyIDDop);
    @Parameter(name = "BUCisloUctu")
    MWFAU2 bUCisloUctu(String bUCisloUctu);
    @Parameter(name = "BUKodBanky")
    MWFAU2 bUKodBanky(String bUKodBanky);
    @Parameter(name = "BUMena")
    MWFAU2 bUMena(String bUMena);
    @Parameter(name = "BUPeriodaVypisu")
    MWFAU2 bUPeriodaVypisu(String bUPeriodaVypisu);
    @Parameter(name = "BUProduktKod")
    MWFAU2 bUProduktKod(String bUProduktKod);
    @Parameter(name = "BUSpecifickySymbol")
    MWFAU2 bUSpecifickySymbol(String bUSpecifickySymbol);
    @Parameter(name = "BUVariabilniSymbol")
    MWFAU2 bUVariabilniSymbol(String bUVariabilniSymbol);
    @Parameter(name = "BUZalozitNovyUcet")
    MWFAU2 bUZalozitNovyUcet(String bUZalozitNovyUcet);
    @Parameter(name = "BU_KEY")
    MWFAU2 buKey(Long buKey);
    @Parameter(name = "Benefit")
    MWFAU2 benefit(String benefit);
    @Parameter(name = "BezPritomnostiKlienta")
    MWFAU2 bezPritomnostiKlienta(String bezPritomnostiKlienta);
    @Parameter(name = "BrandKarty")
    MWFAU2 brandKarty(String brandKarty);
    @Parameter(name = "CastkaPrvnihoCerpani")
    MWFAU2 castkaPrvnihoCerpani(Long castkaPrvnihoCerpani);
    @Parameter(name = "CelkovaSplatnaCastka")
    MWFAU2 celkovaSplatnaCastka(Double celkovaSplatnaCastka);
    @Parameter(name = "Channel_ID")
    MWFAU2 channelID(String channelID);
    @Parameter(name = "CisloPojisteniING")
    MWFAU2 cisloPojisteniING(String cisloPojisteniING);
    @Parameter(name = "CisloSmlouvyVarianty")
    MWFAU2 cisloSmlouvyVarianty(String cisloSmlouvyVarianty);
    @Parameter(name = "CobrandKarty")
    MWFAU2 cobrandKarty(String cobrandKarty);
    @Parameter(name = "DatumPodpisuZadosti")
    MWFAU2 datumPodpisuZadosti(java.util.Date datumPodpisuZadosti);
    @Parameter(name = "DatumPodpisuZadosti_Kuryr")
    MWFAU2 datumPodpisuZadostiKuryr(java.util.Date datumPodpisuZadostiKuryr);
    @Parameter(name = "DatumPrepoctuUroku")
    MWFAU2 datumPrepoctuUroku(java.util.Date datumPrepoctuUroku);
    @Parameter(name = "DatumPrvniSplatky")
    MWFAU2 datumPrvniSplatky(java.util.Date datumPrvniSplatky);
    @Parameter(name = "DenInkasniSplatky")
    MWFAU2 denInkasniSplatky(String denInkasniSplatky);
    @Parameter(name = "DenZuctovacihoObdobi")
    MWFAU2 denZuctovacihoObdobi(Long denZuctovacihoObdobi);
    @Parameter(name = "DesignKarty")
    MWFAU2 designKarty(String designKarty);
    @Parameter(name = "DruhBusinessu")
    MWFAU2 druhBusinessu(String druhBusinessu);
    @Parameter(name = "FormLockStatus")
    MWFAU2 formLockStatus(String formLockStatus);
    @Parameter(name = "IB_ACCES_TYPE")
    MWFAU2 ibAccesType(String ibAccesType);
    @Parameter(name = "IB_SIGN_TYPE")
    MWFAU2 ibSignType(String ibSignType);
    @Parameter(name = "IDXselloveKampane")
    MWFAU2 iDXselloveKampane(String iDXselloveKampane);
    @Parameter(name = "IP_ADDRESS")
    MWFAU2 ipAddress(String ipAddress);
    @Parameter(name = "IdVLSBalicku")
    MWFAU2 idVLSBalicku(String idVLSBalicku);
    @Parameter(name = "IndexLinearnihoSplaceni")
    MWFAU2 indexLinearnihoSplaceni(String indexLinearnihoSplaceni);
    @Parameter(name = "InfolimitTyp")
    MWFAU2 infolimitTyp(String infolimitTyp);
    @Parameter(name = "Infolimit_ZavaznyPlatnost")
    MWFAU2 infolimitZavaznyPlatnost(java.util.Date infolimitZavaznyPlatnost);
    @Parameter(name = "Infolimit_ZavaznyVyse")
    MWFAU2 infolimitZavaznyVyse(Double infolimitZavaznyVyse);
    @Parameter(name = "KodProduktu")
    MWFAU2 kodProduktu(String kodProduktu);
    @Parameter(name = "KodProduktuSales")
    MWFAU2 kodProduktuSales(String kodProduktuSales);
    @Parameter(name = "Mena")
    MWFAU2 mena(String mena);
    @Parameter(name = "MesicniSplatka")
    MWFAU2 mesicniSplatka(Double mesicniSplatka);
    @Parameter(name = "MigraceBU_Flag")
    MWFAU2 migraceBUFlag(String migraceBUFlag);
    @Parameter(name = "MinProcentoSplatky")
    MWFAU2 minProcentoSplatky(Double minProcentoSplatky);
    @Parameter(name = "ObchodniMistoKod")
    MWFAU2 obchodniMistoKod(String obchodniMistoKod);
    @Parameter(name = "OdkladSplatek")
    MWFAU2 odkladSplatek(String odkladSplatek);
    @Parameter(name = "PocetSplatek")
    MWFAU2 pocetSplatek(Long pocetSplatek);
    @Parameter(name = "Pojisteni")
    MWFAU2 pojisteni(String pojisteni);
    @Parameter(name = "PojisteniPoplatek")
    MWFAU2 pojisteniPoplatek(Double pojisteniPoplatek);
    @Parameter(name = "PojisteniProtiZneuziti")
    MWFAU2 pojisteniProtiZneuziti(String pojisteniProtiZneuziti);
    @Parameter(name = "PojisteniVycerpaneCastky")
    MWFAU2 pojisteniVycerpaneCastky(String pojisteniVycerpaneCastky);
    @Parameter(name = "PoplatkovyPlan")
    MWFAU2 poplatkovyPlan(String poplatkovyPlan);
    @Parameter(name = "Posledni4Cislice")
    MWFAU2 posledni4Cislice(String posledni4Cislice);
    @Parameter(name = "PovoleniInetTransakci")
    MWFAU2 povoleniInetTransakci(String povoleniInetTransakci);
    @Parameter(name = "PracovnikMTSID")
    MWFAU2 pracovnikMTSID(String pracovnikMTSID);
    @Parameter(name = "PrimarniUrednikID")
    MWFAU2 primarniUrednikID(String primarniUrednikID);
    @Parameter(name = "PrimarniUrednikJmeno")
    MWFAU2 primarniUrednikJmeno(String primarniUrednikJmeno);
    @Parameter(name = "PrimarniUrednikPrijmeni")
    MWFAU2 primarniUrednikPrijmeni(String primarniUrednikPrijmeni);
    @Parameter(name = "PrimarniUrednikSSO")
    MWFAU2 primarniUrednikSSO(String primarniUrednikSSO);
    @Parameter(name = "PrimarniUrednik_KEY")
    MWFAU2 primarniUrednikKEY(Long primarniUrednikKEY);
    @Parameter(name = "PritomnyVsechnyOsoby")
    MWFAU2 pritomnyVsechnyOsoby(String pritomnyVsechnyOsoby);
    @Parameter(name = "PromoAkce")
    MWFAU2 promoAkce(String promoAkce);
    @Parameter(name = "RPSN")
    MWFAU2 rpsn(Double rpsn);
    @Parameter(name = "RazitkoObchodniZastupce")
    MWFAU2 razitkoObchodniZastupce(Long razitkoObchodniZastupce);
    @Parameter(name = "RetentcniProgramFlag")
    MWFAU2 retentcniProgramFlag(String retentcniProgramFlag);
    @Parameter(name = "RocniUrokovaSazbaCASH")
    MWFAU2 rocniUrokovaSazbaCASH(Double rocniUrokovaSazbaCASH);
    @Parameter(name = "SouhlasOPKCestovniPojisteniFlag")
    MWFAU2 souhlasOPKCestovniPojisteniFlag(String souhlasOPKCestovniPojisteniFlag);
    @Parameter(name = "SouhlasOPKFlag")
    MWFAU2 souhlasOPKFlag(String souhlasOPKFlag);
    @Parameter(name = "SouhlasOPKPojisteniSchopnostiPlatit")
    MWFAU2 souhlasOPKPojisteniSchopnostiPlatit(String souhlasOPKPojisteniSchopnostiPlatit);
    @Parameter(name = "SouhlasOPKZpusobUhradySplatek")
    MWFAU2 souhlasOPKZpusobUhradySplatek(String souhlasOPKZpusobUhradySplatek);
    @Parameter(name = "TechnologieKarty")
    MWFAU2 technologieKarty(String technologieKarty);
    @Parameter(name = "TypAsistencniSluzby")
    MWFAU2 typAsistencniSluzby(String typAsistencniSluzby);
    @Parameter(name = "TypFormulare")
    MWFAU2 typFormulare(String typFormulare);
    @Parameter(name = "TypKarty")
    MWFAU2 typKarty(String typKarty);
    @Parameter(name = "TypSlevy")
    MWFAU2 typSlevy(String typSlevy);
    @Parameter(name = "TypSplaceni")
    MWFAU2 typSplaceni(String typSplaceni);
    @Parameter(name = "UUMenaTopUP")
    MWFAU2 uUMenaTopUP(String uUMenaTopUP);
    @Parameter(name = "UUTopUPCislo")
    MWFAU2 uUTopUPCislo(String uUTopUPCislo);
    @Parameter(name = "UUTopUP_KEY")
    MWFAU2 uUTopUPKEY(Long uUTopUPKEY);
    @Parameter(name = "UcelUveru")
    MWFAU2 ucelUveru(String ucelUveru);
    @Parameter(name = "UrednikFunkce")
    MWFAU2 urednikFunkce(String urednikFunkce);
    @Parameter(name = "UrednikID")
    MWFAU2 urednikID(String urednikID);
    @Parameter(name = "UrednikJmeno")
    MWFAU2 urednikJmeno(String urednikJmeno);
    @Parameter(name = "UrednikPrijmeni")
    MWFAU2 urednikPrijmeni(String urednikPrijmeni);
    @Parameter(name = "UrednikSSO")
    MWFAU2 urednikSSO(String urednikSSO);
    @Parameter(name = "Urednik_KEY")
    MWFAU2 urednikKEY(String urednikKEY);
    @Parameter(name = "UrokovaSazba")
    MWFAU2 urokovaSazba(Double urokovaSazba);
    @Parameter(name = "VariantaTyp")
    MWFAU2 variantaTyp(String variantaTyp);
    @Parameter(name = "Varianta_KEY")
    MWFAU2 variantaKEY(Long variantaKEY);
    @Parameter(name = "VelikostZalohy")
    MWFAU2 velikostZalohy(Double velikostZalohy);
    @Parameter(name = "VernostniProgram")
    MWFAU2 vernostniProgram(String vernostniProgram);
    @Parameter(name = "VypisKeKonciMesice_Flag")
    MWFAU2 vypisKeKonciMesiceFlag(String vypisKeKonciMesiceFlag);
    @Parameter(name = "VysePosledniSplatky")
    MWFAU2 vysePosledniSplatky(Double vysePosledniSplatky);
    @Parameter(name = "VyseUpsellu")
    MWFAU2 vyseUpsellu(Double vyseUpsellu);
    @Parameter(name = "VyseUveru")
    MWFAU2 vyseUveru(Long vyseUveru);
    @Parameter(name = "WEB_BANNER")
    MWFAU2 webBanner(String webBanner);
    @Parameter(name = "WEB_PARTNER_ID")
    MWFAU2 webPartnerId(String webPartnerId);
    @Parameter(name = "ZadostKanalPorizeni")
    MWFAU2 zadostKanalPorizeni(String zadostKanalPorizeni);
    @Parameter(name = "ZadostSubtyp")
    MWFAU2 zadostSubtyp(String zadostSubtyp);
    @Parameter(name = "ZadostTyp")
    MWFAU2 zadostTyp(String zadostTyp);
    @Parameter(name = "Zadost_KEY")
    MWFAU2 zadostKEY(Long zadostKEY);
    @Parameter(name = "ZboziCena")
    MWFAU2 zboziCena(Double zboziCena);
    @Parameter(name = "ZboziDruh")
    MWFAU2 zboziDruh(String zboziDruh);
    @Parameter(name = "ZpusobDistribucePIN")
    MWFAU2 zpusobDistribucePIN(String zpusobDistribucePIN);
    @Parameter(name = "ZpusobDistribuceVypisu")
    MWFAU2 zpusobDistribuceVypisu(String zpusobDistribuceVypisu);
    @Parameter(name = "ZpusobUhradySplatek")
    MWFAU2 zpusobUhradySplatek(String zpusobUhradySplatek);
}
